# Download Report

Creates a temporary, time-limited URL for downloading the report corresponding to the given ID

Endpoint: POST /api/v1/reports/{report_id}/download/
Version: Version: 8adbbb13
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer

## Path parameters:

  - `report_id` (string, required)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Request fields (application/json):

  - `customer_id` (any)

## Response 200:

  - `200` (unknown)
    Successful Response

## Response 200 fields (application/json):

  - `download_url` (string, required)

  - `expires` (string, required)

## Response 404:

  - `404` (unknown)
    Not found

## Response 422:

  - `422` (unknown)
    Validation Error

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)

